> For the complete documentation index, see [llms.txt](https://guia.fenicio.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guia.fenicio.help/developers/api-v1/ordenes-listar.md).

# Órdenes: Listar

Permite obtener la información histórica de las órdenes cargadas en Fenicio.

<table data-full-width="false"><thead><tr><th width="219">Método</th><th>URL</th></tr></thead><tbody><tr><td><code>GET</code></td><td><code>/API_V1/ordenes</code></td></tr></tbody></table>

## Request

Se deberá realizar una consulta `GET` a la URL correspondiente, incluyendo los parámetros que se deseen.

## Parámetros <a href="#parametros" id="parametros"></a>

<table data-full-width="false"><thead><tr><th width="220.33333333333331">Clave</th><th width="148">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>pag</code></strong></td><td>Int(3)</td><td><p>El número de la página que se quiere recuperar.</p><ul><li><code>min: 1</code></li><li><code>max: null</code></li><li><code>default: 1</code></li></ul></td></tr><tr><td><strong><code>tot</code></strong></td><td>Int(3)</td><td><p>Cantidad de ítems por página.</p><ul><li><code>min: 1</code></li><li><code>max: 500</code></li><li><code>default: 50</code></li></ul></td></tr><tr><td><strong><code>fDesde</code></strong></td><td><a href="/pages/LjX6E6o8pT0EpYonxgLH#date"><strong>Date</strong></a></td><td>Fecha desde la cual se quiere recuperar las órdenes.</td></tr><tr><td><strong><code>fHasta</code></strong></td><td><a href="/pages/LjX6E6o8pT0EpYonxgLH#date"><strong>Date</strong></a></td><td>Fecha hasta la cual se quiere recuperar las órdenes.</td></tr><tr><td><strong><code>estado</code></strong></td><td><a href="/pages/LjX6E6o8pT0EpYonxgLH#estadoorden"><strong>EstadoOrden</strong></a></td><td>Estado de las órdenes que se desean recuperar.</td></tr><tr><td><strong><code>estadoEntrega</code></strong></td><td><a href="/pages/LjX6E6o8pT0EpYonxgLH#estadoentrega"><strong>EstadoEntrega</strong></a></td><td>Estado de entrega de las órdenes que se desean recuperar.</td></tr><tr><td><strong><code>cliente</code></strong></td><td>String</td><td>Permite filtrar en base a algún dato del cliente (nombre, apellido, email, número de documento o teléfono).</td></tr><tr><td><strong><code>incluirAtributosProducto</code></strong></td><td>0 | 1</td><td>Indica si se desea incluir los atributos de cada producto existente en las órdenes. (Siendo 0 = falso y 1 = verdadero).</td></tr></tbody></table>

### Ejemplo <a href="#ejemplo" id="ejemplo"></a>

```url
https://example.com/API_V1/ordenes?estado=CANCELADA&fHasta=2021-12-22
```

## Response

<table data-full-width="false"><thead><tr><th width="164.33333333333331">Clave</th><th width="146">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>error</code></strong></td><td>Boolean</td><td>Valor booleano que indica si se generó algún error en la consulta.</td></tr><tr><td><strong><code>msj</code></strong></td><td>String</td><td>Mensaje descriptivo sobre la consulta realizada.</td></tr><tr><td><strong><code>totAbs</code></strong></td><td>Int</td><td>Cantidad absoluta (no por página) de órdenes recuperadas.</td></tr><tr><td><strong><code>ordenes</code></strong></td><td>List&#x3C;<a href="/pages/iQQQnLSiSaZQNlZ2u1fp#orden"><strong>Orden</strong></a>></td><td>Lista con las órdenes recuperadas.</td></tr></tbody></table>

### Ejemplo <a href="#ejemplo-1" id="ejemplo-1"></a>

```json
{
  "error": false,
  "msj": "",
  "totAbs": 841,
  "ordenes": [
    {
      // Objeto Orden
    },
    {
      // Objeto Orden
    }
    // Etc..
  ]
}|
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://guia.fenicio.help/developers/api-v1/ordenes-listar.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
